# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'wink_scheduler/version'

Gem::Specification.new do |spec|
  spec.name          = "wink_scheduler"
  spec.version       = WinkScheduler::VERSION
  spec.authors       = ["Joe Lanford"]
  spec.email         = ["joe.lanford@gmail.com"]
  spec.summary       = %q{Schedule actions for Wink devices.}
  spec.description   = %q{Schedule actions for Wink devices. This provides some functionality that the Wink mobile app is missing.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "weather-api", "~> 1.2"
  spec.add_dependency "winker", "~> 0.0", ">= 0.0.15"
  spec.add_dependency "httparty", "~> 0.13", ">= 0.13.7"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
